<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\FeedDelivery;
use Illuminate\Auth\Access\HandlesAuthorization;
use Illuminate\Foundation\Auth\User as AuthUser;

class FeedDeliveryPolicy
{
    use HandlesAuthorization;

    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:FeedDelivery');
    }

    public function view(AuthUser $authUser, FeedDelivery $feedDelivery): bool
    {
        return $authUser->can('View:FeedDelivery');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:FeedDelivery');
    }

    public function update(AuthUser $authUser, FeedDelivery $feedDelivery): bool
    {
        return $authUser->can('Update:FeedDelivery');
    }

    public function delete(AuthUser $authUser, FeedDelivery $feedDelivery): bool
    {
        return $authUser->can('Delete:FeedDelivery');
    }

    public function restore(AuthUser $authUser, FeedDelivery $feedDelivery): bool
    {
        return $authUser->can('Restore:FeedDelivery');
    }

    public function forceDelete(AuthUser $authUser, FeedDelivery $feedDelivery): bool
    {
        return $authUser->can('ForceDelete:FeedDelivery');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:FeedDelivery');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:FeedDelivery');
    }

    public function replicate(AuthUser $authUser, FeedDelivery $feedDelivery): bool
    {
        return $authUser->can('Replicate:FeedDelivery');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:FeedDelivery');
    }
}
